org.eclipse.emf.spi.cdo

## Class InternalCDOSession.CommitToken

- java.lang.Object
- - org.eclipse.emf.spi.cdo.InternalCDOSession.CommitToken

- Enclosing interface:
    InternalCDOSession

      public static final class InternalCDOSession.CommitToken
      extends java.lang.Object

  Since:
    4.5
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommitToken(int commitNumber, java.lang.String threadName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getCommitNumber()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CommitToken

          public CommitToken(int commitNumber,
                             java.lang.String threadName)

  - ### Method Detail

    - #### getCommitNumber

          public int getCommitNumber()

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html